package org.mbari.seepsearch.ui;

import java.awt.*;
import org.mbari.awt.layout.*;
import javax.swing.*;
import javax.swing.border.*;

/**
 * Title:        Seep Search Analysis project
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      MBARI
 * @author Brian Schlining
 * @version 1.0
 */

public class PanelFromVars extends JPanel {
    VerticalFlowLayout verticalFlowLayout1 = new VerticalFlowLayout();
    JPanel jPanel1 = new JPanel();
    JPanel jPanel2 = new JPanel();
    JPanel jPanel3 = new JPanel();
    Border border1;
    TitledBorder titledBorder1;
    JTextField jTextField1 = new JTextField();
    JButton jButton1 = new JButton();

    public PanelFromVars() {
        try {
            jbInit();
        }
        catch(Exception ex) {
            ex.printStackTrace();
        }
    }
    void jbInit() throws Exception {
        border1 = BorderFactory.createEtchedBorder(Color.white,new Color(142, 142, 142));
        titledBorder1 = new TitledBorder(border1,"Select Bathymetrey Grid");
        this.setLayout(verticalFlowLayout1);
        jPanel1.setBorder(titledBorder1);
        jTextField1.setText("jTextField1");
        jButton1.setText("jButton1");
        this.add(jPanel1, null);
        jPanel1.add(jTextField1, null);
        jPanel1.add(jButton1, null);
        this.add(jPanel2, null);
        this.add(jPanel3, null);
    }
}